Commit 6b03fac6 authored by Alexey Sokolov's avatar Alexey Sokolov

ZNC 1.7.3-rc1

parent 64613bc8
......@@ -15,10 +15,10 @@
#
cmake_minimum_required(VERSION 3.1)
project(ZNC VERSION 1.7.2)
set(ZNC_VERSION 1.7.x)
set(append_git_version true)
set(alpha_version "") # e.g. "-rc1"
project(ZNC VERSION 1.7.3)
set(ZNC_VERSION 1.7.3)
set(append_git_version false)
set(alpha_version "-rc1") # e.g. "-rc1"
set(VERSION_EXTRA "" CACHE STRING
"Additional string appended to version, e.g. to mark distribution")
......
......@@ -7,8 +7,8 @@ AC_DEFUN([AC_PROG_CC], [m4_errprint(__file__:__line__[: Something is trying to u
dnl Needed for AC_PATH_PROGS_FEATURE_CHECK which was added in 2.62
AC_PREREQ([2.62])
dnl Keep the version number in sync with version.h!
AC_INIT([znc], [1.7.x])
LIBZNC_VERSION=1.7.x
AC_INIT([znc], [1.7.3-rc1])
LIBZNC_VERSION=1.7.3
AC_CONFIG_MACRO_DIR([m4])
AC_CONFIG_SRCDIR([src/znc.cpp])
AC_LANG([C++])
......
......@@ -20,9 +20,9 @@ limitations under the License.
// The following defines are for #if comparison (preprocessor only likes ints)
#define VERSION_MAJOR 1
#define VERSION_MINOR 7
#define VERSION_PATCH -1
#define VERSION_PATCH 3
// This one is for display purpose and to check ABI compatibility of modules
#define VERSION_STR "1.7.x"
#define VERSION_STR "1.7.3"
#endif
// Don't use this one
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment